Luxor PlatformAPI DocumentationDerivatives
Get derivatives payments
Returns a list of derivatives payments for a specific currency type with optional filtering by payment type.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
currency_type*string
Currency type for derivatives operations
Value in
- "BTC"
- "USD"
Query Parameters
type?string
Filter by payment type
Default
"ALL"Value in
- "ALL"
- "PAYABLE"
- "RECEIVABLE"
page_number?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= valueDefault
10Response Body
application/json
application/json
curl -X GET "https://example.com/v2/derivatives/payments/BTC"{ "currency_type": "BTC", "payments": [ { "date_time": "2025-09-10T15:20:11Z", "type": "RECEIVABLE", "amount": 1.25 } ], "pagination": { "page_number": 1, "page_size": 1, "item_count": 0, "previous_page_url": null, "next_page_url": null }}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}